Subject: [alpine-aports] [PATCH] testing/pbzip2: new aport

From: Anton Patrushev <[email-masked]>
Date: Wed, 1 Jul 2015 22:27:28 +0000

http://compression.ca/pbzip2/
PBZIP2 is a parallel implementation of the bzip2 block-sorting file compressor.
---
 testing/pbzip2/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/pbzip2/APKBUILD

diff --git a/testing/pbzip2/APKBUILD b/testing/pbzip2/APKBUILD
new file mode 100644
index 0000000..26b5870
--- /dev/null
+++ b/testing/pbzip2/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Anton Patrushev <[email-masked]>
+# Maintainer:
+pkgname=pbzip2
+pkgver=1.1
+pkgrel=12
+pkgdesc="pbzip2 is a parallel implementation of the bzip2 block-sorting file compressor."
+url="http://compression.ca/pbzip2/"
+arch="all"
+license="BSD"
+depends="bzip2"
+makedepends="bzip2-dev"
+subpackages=""
+source="https://launchpad.net/pbzip2/$pkgver/$pkgver.$pkgrel/+download/pbzip2-$pkgver.$pkgrel.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver.$pkgrel
+prepare() {
+	local i
+	cd "$_builddir"
+	make || return 1
+}
+
+build() {
+	cd "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX="$pkgdir"/usr install || return 1
+}
+md5sums="91a4911b13305850423840eb0fa6f4f9  pbzip2-1.1.12.tar.gz"
+
-- 
2.4.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Carlo Landmeter <[email-masked]>
Date: Fri, 3 Jul 2015 17:16:36 +0200

Thanks but not committed yet, some comments below.

> +++ b/testing/pbzip2/APKBUILD

pkgrel should always start at 0. We use it to generate a new package when
version didn't change (ie patches).
pkgver should be set to 1.1.12 which is the actual version.

> +url="http://compression.ca/pbzip2/"

Why does this depends on bzip2?

> +makedepends="bzip2-dev"
> +subpackages=""
> +source="
> https://launchpad.net/pbzip2/$pkgver/$pkgver.$pkgrel/+download/pbzip2-$pkgver.$pkgrel.tar.gz
> "
>

please update src accordingly

> +_builddir="$srcdir"/$pkgname-$pkgver.$pkgrel

I guess this is a leftover?

> +       make || return 1

make should be run in build() function.